summaryrefslogtreecommitdiffstats
path: root/bin/tools/check_feeds.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/tools/check_feeds.sh')
-rwxr-xr-xbin/tools/check_feeds.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/tools/check_feeds.sh b/bin/tools/check_feeds.sh
new file mode 100755
index 000000000..8d5e41a55
--- /dev/null
+++ b/bin/tools/check_feeds.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+feeds=$(cat ./lib/Explore/feeds/feeds.en.json | jq -r .[][0].feed)
+
+for feed in ${feeds} ; do
+ if [[ $feed == "http://"* ]]; then
+ echo "Insecure feed $feed"
+ exit 1;
+ fi
+ if ! curl --fail --silent "$feed" > /dev/null; then
+ echo "Failed to fetch $feed"
+ exit 1;
+ fi
+done \ No newline at end of file